Bug 728011 - gcc-plugin-devel: cp/cp-tree.h includes unpackaged c-family/c-common.h
Summary: gcc-plugin-devel: cp/cp-tree.h includes unpackaged c-family/c-common.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 22:40 UTC by Dave Malcolm
Modified: 2011-08-22 15:27 UTC (History)
1 user (show)

Fixed In Version: gcc-4.6.1-7.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:27:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 45348 None None None Never

Description Dave Malcolm 2011-08-03 22:40:04 UTC
Description of problem:

One of the inclusions within:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/plugin/include/cp/cp-tree.h
is this line:
  #include "c-family/c-common.h"

However, that latter file isn't present in gcc-plugin-devel (I see it within the -debuginfo)

Version-Release number of selected component (if applicable):
gcc-plugin-devel-4.6.0-0.15.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Try to compile a plugin that includes "cp/cp-tree.h"
  
Actual results:
In file included from test.c:7:0:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/plugin/include/cp/cp-tree.h:43:31: fatal error: c-family/c-common.h: No such file or directory
compilation terminated.

Expected results:
Successful compilation of plugin.

Additional info:
Am not sure if I need the file; am trying to prettyprint C++ function names though, using decl_as_string().

Comment 1 Dave Malcolm 2011-08-03 23:09:59 UTC
It is present as:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/plugin/include/c-common.h

but that "c-family/" is presumably breaking things.

Comment 2 Jakub Jelinek 2011-08-04 08:26:10 UTC
Sounds like
http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=176741
shoudl fix this, I've backported it to our branch, but untested so far.

Comment 3 Fedora Update System 2011-08-04 18:57:01 UTC
gcc-4.6.1-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gcc-4.6.1-7.fc16

Comment 4 Fedora Update System 2011-08-05 20:07:40 UTC
Package gcc-4.6.1-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcc-4.6.1-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gcc-4.6.1-7.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-22 15:27:03 UTC
gcc-4.6.1-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.